# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_pickup
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_pickup"
		Strings = LanguageHandler.new( NAME + ".strings")
		TOOL=Strings["PickUp"]
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi'
		@ext.creator = 'Suforyou'
		@ext.version = '2.1.0'
		@ext.description = Strings["Copy Selected Edge,Curve,Face,Surface to Active Model (or Active Group)."]
		Sketchup.register_extension @ext, true
	end
end
